
public class Class39 {

   Class253 aClass253_432;
   Class564 aClass564_433 = new Class564(16);


   public void method1076(int var1) {
      Class564 var2 = this.aClass564_433;
      synchronized(var2) {
         this.aClass564_433.method11963(var1, (byte)-6);
      }
   }

   public Class29 method1077(int var1) {
      Class564 var2 = this.aClass564_433;
      Class29 var3;
      synchronized(var2) {
         var3 = (Class29)this.aClass564_433.method11959((long)var1);
      }

      if(var3 != null) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_432;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_432.method4547(Class115.aClass115_1151.anInt1177 * 2022937823, var1, (byte)-32);
         }

         var3 = new Class29();
         if(null != var10) {
            var3.method844(new RS2Buffer(var10), (short)923);
         }

         Class564 var11 = this.aClass564_433;
         synchronized(var11) {
            this.aClass564_433.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public void method1078(int var1) {
      Class564 var2 = this.aClass564_433;
      synchronized(var2) {
         this.aClass564_433.method11976((byte)79);
      }
   }

   public void method1079(int var1, byte var2) {
      Class564 var3 = this.aClass564_433;
      synchronized(var3) {
         this.aClass564_433.method11963(var1, (byte)-28);
      }
   }

   public void method1080(byte var1) {
      Class564 var2 = this.aClass564_433;
      synchronized(var2) {
         this.aClass564_433.method11968((short)-16282);
      }
   }

   public Class39(Class481 var1, Class470 var2, Class253 var3) {
      this.aClass253_432 = var3;
      this.aClass253_432.method4514(2022937823 * Class115.aClass115_1151.anInt1177, -1797424241);
   }

   public Class29 method1081(int var1) {
      Class564 var2 = this.aClass564_433;
      Class29 var3;
      synchronized(var2) {
         var3 = (Class29)this.aClass564_433.method11959((long)var1);
      }

      if(var3 != null) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_432;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_432.method4547(Class115.aClass115_1151.anInt1177 * 2022937823, var1, (byte)-41);
         }

         var3 = new Class29();
         if(null != var10) {
            var3.method844(new RS2Buffer(var10), (short)923);
         }

         Class564 var11 = this.aClass564_433;
         synchronized(var11) {
            this.aClass564_433.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public Class29 method1082(int var1) {
      Class564 var2 = this.aClass564_433;
      Class29 var3;
      synchronized(var2) {
         var3 = (Class29)this.aClass564_433.method11959((long)var1);
      }

      if(var3 != null) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_432;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_432.method4547(Class115.aClass115_1151.anInt1177 * 2022937823, var1, (byte)-91);
         }

         var3 = new Class29();
         if(null != var10) {
            var3.method844(new RS2Buffer(var10), (short)923);
         }

         Class564 var11 = this.aClass564_433;
         synchronized(var11) {
            this.aClass564_433.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public void method1083() {
      Class564 var1 = this.aClass564_433;
      synchronized(var1) {
         this.aClass564_433.method11976((byte)29);
      }
   }

   public Class29 method1084(int var1, int var2) {
      Class564 var3 = this.aClass564_433;
      Class29 var4;
      synchronized(var3) {
         var4 = (Class29)this.aClass564_433.method11959((long)var1);
      }

      if(var4 != null) {
         return var4;
      } else {
         Class253 var5 = this.aClass253_432;
         byte[] var12;
         synchronized(var5) {
            var12 = this.aClass253_432.method4547(Class115.aClass115_1151.anInt1177 * 2022937823, var1, (byte)-16);
         }

         var4 = new Class29();
         if(null != var12) {
            var4.method844(new RS2Buffer(var12), (short)923);
         }

         Class564 var11 = this.aClass564_433;
         synchronized(var11) {
            this.aClass564_433.method11958(var4, (long)var1);
            return var4;
         }
      }
   }

   public void method1085() {
      Class564 var1 = this.aClass564_433;
      synchronized(var1) {
         this.aClass564_433.method11968((short)-9446);
      }
   }

   public void method1086() {
      Class564 var1 = this.aClass564_433;
      synchronized(var1) {
         this.aClass564_433.method11976((byte)96);
      }
   }

   public void method1087() {
      Class564 var1 = this.aClass564_433;
      synchronized(var1) {
         this.aClass564_433.method11976((byte)36);
      }
   }

   public void method1088() {
      Class564 var1 = this.aClass564_433;
      synchronized(var1) {
         this.aClass564_433.method11976((byte)119);
      }
   }

   public void method1089(int var1) {
      Class564 var2 = this.aClass564_433;
      synchronized(var2) {
         this.aClass564_433.method11963(var1, (byte)-66);
      }
   }

   public void method1090() {
      Class564 var1 = this.aClass564_433;
      synchronized(var1) {
         this.aClass564_433.method11968((short)-5292);
      }
   }

   public void method1091() {
      Class564 var1 = this.aClass564_433;
      synchronized(var1) {
         this.aClass564_433.method11976((byte)76);
      }
   }

   static final void method1092(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class420.aClass242_5333.method4336(-875927841);
   }

   static final void method1093(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var0.aClass225_Sub19_6020.aClass72Array8565[var2].aByte685;
   }

   static final void method1094(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = Integer.toString(var2);
   }

   static final void method1095(int var0, int var1, int var2, int var3, int var4, int var5, byte var6) {
      Class186[] var7 = client.aClass186Array7855;

      for(int var8 = 0; var8 < var7.length; ++var8) {
         Class186 var9 = var7[var8];
         if(null != var9 && 2 == var9.anInt2230 * -959408361) {
            Class100.method1982(var9.anInt2231 * 825525097, 2118533223 * var9.anInt2232, -1944207987 * var9.anInt2238, 2048089206 * var9.anInt2228, (byte)1);
            if(client.aFloatArray7680[0] > -1.0F && -1255739433 * client.anInt7659 % 20 < 10) {
               Class171 var10 = Class186.aClass171Array2239[-1173800911 * var9.anInt2229];
               int var11 = (int)((float)var0 + client.aFloatArray7680[0] - 12.0F);
               int var12 = (int)(client.aFloatArray7680[1] + (float)var1 - 28.0F);
               var10.method2926(var11, var12);
            }
         }
      }

   }

   public static int method1096(int var0, int var1, int var2, int var3) {
      var2 &= 3;
      return var2 == 0?var1:(var2 == 1?7 - var0:(var2 == 2?7 - var1:var0));
   }

   static final void method1097(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      if(var2 >= 1 && var2 <= 2) {
         Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub17_8491, var2, 1784992594);
         Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub17_8500, var2, 808828112);
         Class7.method605(-1358477367);
      }
   }
}
